osl::progress::ProgressN< N > Class Template Reference

`#include <progress.h>`

## Public Member Functions

| ProgressN (int value=0)
int | value () const
bool | isValid () const

## Private Attributes

int | progress

## Detailed Description

template<int N>
class osl::progress::ProgressN< N >

Definition at line 14 of file progress.h.

## Constructor & Destructor Documentation

## ProgressN()

template<int N>

osl::progress::ProgressN< N >::ProgressN | ( | int | value = 0 | ) |

inline explicit

Definition at line 18 of file progress.h.

## Member Function Documentation

## isValid()

template<int N>

bool osl::progress::ProgressN< N >::isValid | ( |  | ) | const

inline

Definition at line 23 of file progress.h.

Referenced by osl::progress::ProgressN< 16 >::ProgressN().

## value()

template<int N>

int osl::progress::ProgressN< N >::value | ( |  | ) | const

inline

Definition at line 22 of file progress.h.

Referenced by osl::rating::AttackKing8Group::findMatch(), osl::rating::CaptureGroup::findMatch(), osl::rating::CheckGroup::findMatch(), osl::rating::CheckmateIfCaptureGroup::findMatch(), osl::rating::ContinueCaptureGroup::findMatch(), osl::rating::DefenseKing8Group::findMatch(), osl::rating::DropCapturedGroup::findMatch(), osl::rating::EscapePinGroup::findMatch(), osl::rating::FromEffectGroup::findMatch(), osl::rating::ImmediateAddSupportGroup::findMatch(), osl::rating::ImmediateEscapeGroup::findMatch(), osl::rating::PawnAttackGroup::findMatch(), osl::rating::PinGroup::findMatch(), osl::rating::PtypeAttackedGroup::findMatch(), osl::rating::RelativeKingXGroup::findMatch(), osl::rating::RelativeKingYGroup::findMatch(), osl::rating::SendOffGroup::findMatch(), osl::rating::SquareXGroup::findMatch(), osl::rating::SquareYGroup::findMatch(), osl::rating::ThreatmateGroup::findMatch(), osl::rating::ToSupportedGroup::findMatch(), osl::rating::FeatureSet::generateLogProb(), osl::eval::ml::ProgressAttackDefense::index(), osl::eval::ml::ProgressAttackDefenseAll::index(), osl::eval::ml::ProgressBonus::index(), osl::rating::FeatureSet::logProbKingEscape(), osl::rating::FeatureSet::logProbSeePlus(), osl::rating::FeatureSet::logProbTakeBack(), osl::rating::FeatureSet::makeRateWithCut(), osl::rating::RookDefense::match(), osl::progress::operator<(), osl::progress::operator==(), and osl::rating::FeatureSet::rating().

## Member Data Documentation

## progress

template<int N>

int osl::progress::ProgressN< N >::progress

private

Definition at line 16 of file progress.h.

The documentation for this class was generated from the following file:

- progress.h